{"openapi":"3.1.0","info":{"title":"Scrape Creators API","description":"The easiest way to scrape public social media data at scale. Extract profiles, posts, videos, comments, and more from TikTok, Instagram, YouTube, Twitter, LinkedIn, Facebook, Reddit, and 27+ platforms.","version":"1.0.0","contact":{"name":"Scrape Creators","url":"https://scrapecreators.com","email":"support@scrapecreators.com"}},"servers":[{"url":"https://api.scrapecreators.com","description":"Production server"}],"security":[{"apiKeyAuth":[]}],"tags":[{"name":"Scrape Creators","description":"For Scrape Creators customers"}],"paths":{"/v1/account/get-api-usage":{"get":{"tags":["Scrape Creators"],"summary":"Get request history","description":"Returns a paginated list of your API requests, including the endpoint called, status code, credits used, and timestamp. Useful for debugging and monitoring your API usage. Supports filtering by endpoint name and status code.","parameters":[{"name":"page","in":"query","required":false,"description":"Page number for pagination (max 100)","schema":{"type":"string"},"example":"1"},{"name":"endpoint","in":"query","required":false,"description":"Filter by endpoint name (partial match)","schema":{"type":"string"},"example":"/v1/tiktok/profile"},{"name":"statusCode","in":"query","required":false,"description":"Filter by HTTP status code","schema":{"type":"string"},"example":"200"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"example":[{"id":"00000000-0000-0000-0000-000000000000","endpoint":"/v1/tiktok/profile?handle=stoolpresidente","status_code":200,"duration_ms":762,"success":true,"response_time":"2026-04-15T11:21:31.513+00:00","request_time":"2026-04-15T11:21:30.754+00:00","request_payload":{"handle":"stoolpresidente"},"http_method":"GET","created_at":"2026-04-15T11:22:10.556302+00:00","duration_secs":1,"credits":1}]}}}}}}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key","description":"Your Scrape Creators API key"}}}}